#ifndef _NOTES_H
#define _NOTES_H

#include <complex_typedef.h>
#include "types.h"

#define SILENCE -1


typedef struct note {
	pitch_t pitch;
	int time;
	bool on;
} note_t;

pitch_t make_note(int time, pitch_t current_pitch, pitch_t last_pitch);
pitch_t pitch_from_frequency(float frequency);
float frequency(int index);

float get_fundamental(complex_fract16* frequencies);
short get_fundamental_idx(complex_fract16* frequencies, int array_size);

pitch_t previous_pitch;
bool is_event(pitch_t pitch);


#endif /* _NOTES_H */
