#ifndef _MIDI_H
#define _MIDI_H

#include "types.h"


#define HEADER_SIZE 14
typedef struct header {
	char chunk_id[4];
	int chunk_size;
	short format_type;
	short number_of_tracks;
	short time_division;
} header_t;


#define TRACK_CHUNK_SIZE 8
typedef struct track_chunk {
	char chunk_id[4];
	int chunk_size;
} track_chunk_t;


#define MIDI_EVENT_SIZE 3
typedef struct midi_event {
	char type_and_channel;
	char parameter1;
	char parameter2;
} midi_event_t;


void write_header();
void write_chunk();
void overwrite_chunk();

void write_delta_time(int delta_time, FILE* output);
void write_note_event(char note_number, int delta_time, bool on);

void write_endoftrack();


#endif /* _MIDI_H */
